#ifndef LOLLIPOP_IDirectMusicPerformance
#define global LOLLIPOP_IDirectMusicPerformance

#ifndef LOLLIPOP_MACRO
 #include "rrmod/com/macro.as"
#endif

#undef IID_IDirectMusicPerformance
#undef IID_IDirectMusicPerformance8
#define global IID_IDirectMusicPerformance "{07d43d03-6523-11d2-871d-00600893b1bd}"
#define global IID_IDirectMusicPerformance8 "{679c4137-c62e-4147-b2b4-9d569acb254c}"

#define global IDirectMusicPerformance8_QueryInterface          RR_ICALL(0,3)
#define global IDirectMusicPerformance8_AddRef                  RR_ICALL(1,1)
#define global IDirectMusicPerformance8_Release                 RR_ICALL(2,1)
#define global IDirectMusicPerformance8_Init                    RR_ICALL(3)
#define global IDirectMusicPerformance8_PlaySegment             RR_ICALL(4)
#define global IDirectMusicPerformance8_Stop                    RR_ICALL(5)
#define global IDirectMusicPerformance8_GetSegmentState         RR_ICALL(6)
#define global IDirectMusicPerformance8_SetPrepareTime          RR_ICALL(7)
#define global IDirectMusicPerformance8_GetPrepareTime          RR_ICALL(8)
#define global IDirectMusicPerformance8_SetBumperLength         RR_ICALL(9)
#define global IDirectMusicPerformance8_GetBumperLength         RR_ICALL(10)
#define global IDirectMusicPerformance8_SendPMsg                RR_ICALL(11)
#define global IDirectMusicPerformance8_MusicToReferenceTime    RR_ICALL(12)
#define global IDirectMusicPerformance8_ReferenceToMusicTime    RR_ICALL(13)
#define global IDirectMusicPerformance8_IsPlaying               RR_ICALL(14)
#define global IDirectMusicPerformance8_GetTime                 RR_ICALL(15)
#define global IDirectMusicPerformance8_AllocPMsg               RR_ICALL(16)
#define global IDirectMusicPerformance8_FreePMsg                RR_ICALL(17)
#define global IDirectMusicPerformance8_GetGraph                RR_ICALL(18)
#define global IDirectMusicPerformance8_SetGraph                RR_ICALL(19)
#define global IDirectMusicPerformance8_SetNotificationHandle   RR_ICALL(20)
#define global IDirectMusicPerformance8_GetNotificationPMsg     RR_ICALL(21)
#define global IDirectMusicPerformance8_AddNotificationType     RR_ICALL(22)
#define global IDirectMusicPerformance8_RemoveNotificationType  RR_ICALL(23)
#define global IDirectMusicPerformance8_AddPort                 RR_ICALL(24)
#define global IDirectMusicPerformance8_RemovePort              RR_ICALL(25)
#define global IDirectMusicPerformance8_AssignPChannelBlock     RR_ICALL(26)
#define global IDirectMusicPerformance8_AssignPChannel          RR_ICALL(27)
#define global IDirectMusicPerformance8_PChannelInfo            RR_ICALL(28)
#define global IDirectMusicPerformance8_DownloadInstrument      RR_ICALL(29)
#define global IDirectMusicPerformance8_Invalidate              RR_ICALL(30)
#define global IDirectMusicPerformance8_GetParam                RR_ICALL(31)
#define global IDirectMusicPerformance8_SetParam                RR_ICALL(32)
#define global IDirectMusicPerformance8_GetGlobalParam          RR_ICALL(33)
#define global IDirectMusicPerformance8_SetGlobalParam          RR_ICALL(34)
#define global IDirectMusicPerformance8_GetLatencyTime          RR_ICALL(35)
#define global IDirectMusicPerformance8_GetQueueTime            RR_ICALL(36)
#define global IDirectMusicPerformance8_AdjustTime              RR_ICALL(37)
#define global IDirectMusicPerformance8_CloseDown               RR_ICALL(38)
#define global IDirectMusicPerformance8_GetResolvedTime         RR_ICALL(39)
#define global IDirectMusicPerformance8_MIDIToMusic             RR_ICALL(40)
#define global IDirectMusicPerformance8_MusicToMIDI             RR_ICALL(41)
#define global IDirectMusicPerformance8_TimeToRhythm            RR_ICALL(42)
#define global IDirectMusicPerformance8_RhythmToTime            RR_ICALL(43)
#define global IDirectMusicPerformance8_InitAudio               RR_ICALL(44)
#define global IDirectMusicPerformance8_PlaySegmentEx           RR_ICALL(45)
#define global IDirectMusicPerformance8_StopEx                  RR_ICALL(46)
#define global IDirectMusicPerformance8_ClonePMsg               RR_ICALL(47)
#define global IDirectMusicPerformance8_CreateAudioPath         RR_ICALL(48)
#define global IDirectMusicPerformance8_CreateStandardAudioPath RR_ICALL(49)
#define global IDirectMusicPerformance8_SetDefaultAudioPath     RR_ICALL(50)
#define global IDirectMusicPerformance8_GetDefaultAudioPath     RR_ICALL(51)
#define global IDirectMusicPerformance8_GetParamEx              RR_ICALL(52)

#define global IDirectMusicPerformance_QueryInterface         IDirectMusicPerformance8_QueryInterface
#define global IDirectMusicPerformance_AddRef                 IDirectMusicPerformance8_AddRef
#define global IDirectMusicPerformance_Release                IDirectMusicPerformance8_Release
#define global IDirectMusicPerformance_Init                   IDirectMusicPerformance8_Init
#define global IDirectMusicPerformance_PlaySegment            IDirectMusicPerformance8_PlaySegment
#define global IDirectMusicPerformance_Stop                   IDirectMusicPerformance8_Stop
#define global IDirectMusicPerformance_GetSegmentState        IDirectMusicPerformance8_GetSegmentState
#define global IDirectMusicPerformance_SetPrepareTime         IDirectMusicPerformance8_SetPrepareTime
#define global IDirectMusicPerformance_GetPrepareTime         IDirectMusicPerformance8_GetPrepareTime
#define global IDirectMusicPerformance_SetBumperLength        IDirectMusicPerformance8_SetBumperLength
#define global IDirectMusicPerformance_GetBumperLength        IDirectMusicPerformance8_GetBumperLength
#define global IDirectMusicPerformance_SendPMsg               IDirectMusicPerformance8_SendPMsg
#define global IDirectMusicPerformance_MusicToReferenceTime   IDirectMusicPerformance8_MusicToReferenceTime
#define global IDirectMusicPerformance_ReferenceToMusicTime   IDirectMusicPerformance8_ReferenceToMusicTime
#define global IDirectMusicPerformance_IsPlaying              IDirectMusicPerformance8_IsPlaying
#define global IDirectMusicPerformance_GetTime                IDirectMusicPerformance8_GetTime
#define global IDirectMusicPerformance_AllocPMsg              IDirectMusicPerformance8_AllocPMsg
#define global IDirectMusicPerformance_FreePMsg               IDirectMusicPerformance8_FreePMsg
#define global IDirectMusicPerformance_GetGraph               IDirectMusicPerformance8_GetGraph
#define global IDirectMusicPerformance_SetGraph               IDirectMusicPerformance8_SetGraph
#define global IDirectMusicPerformance_SetNotificationHandle  IDirectMusicPerformance8_SetNotificationHandle
#define global IDirectMusicPerformance_GetNotificationPMsg    IDirectMusicPerformance8_GetNotificationPMsg
#define global IDirectMusicPerformance_AddNotificationType    IDirectMusicPerformance8_AddNotificationType
#define global IDirectMusicPerformance_RemoveNotificationType IDirectMusicPerformance8_RemoveNotificationType
#define global IDirectMusicPerformance_AddPort                IDirectMusicPerformance8_AddPort
#define global IDirectMusicPerformance_RemovePort             IDirectMusicPerformance8_RemovePort
#define global IDirectMusicPerformance_AssignPChannelBlock    IDirectMusicPerformance8_AssignPChannelBlock
#define global IDirectMusicPerformance_AssignPChannel         IDirectMusicPerformance8_AssignPChannel
#define global IDirectMusicPerformance_PChannelInfo           IDirectMusicPerformance8_PChannelInfo
#define global IDirectMusicPerformance_DownloadInstrument     IDirectMusicPerformance8_DownloadInstrument
#define global IDirectMusicPerformance_Invalidate             IDirectMusicPerformance8_Invalidate
#define global IDirectMusicPerformance_GetParam               IDirectMusicPerformance8_GetParam
#define global IDirectMusicPerformance_SetParam               IDirectMusicPerformance8_SetParam
#define global IDirectMusicPerformance_GetGlobalParam         IDirectMusicPerformance8_GetGlobalParam
#define global IDirectMusicPerformance_SetGlobalParam         IDirectMusicPerformance8_SetGlobalParam
#define global IDirectMusicPerformance_GetLatencyTime         IDirectMusicPerformance8_GetLatencyTime
#define global IDirectMusicPerformance_GetQueueTime           IDirectMusicPerformance8_GetQueueTime
#define global IDirectMusicPerformance_AdjustTime             IDirectMusicPerformance8_AdjustTime
#define global IDirectMusicPerformance_CloseDown              IDirectMusicPerformance8_CloseDown
#define global IDirectMusicPerformance_GetResolvedTime        IDirectMusicPerformance8_GetResolvedTime
#define global IDirectMusicPerformance_MIDIToMusic            IDirectMusicPerformance8_MIDIToMusic
#define global IDirectMusicPerformance_MusicToMIDI            IDirectMusicPerformance8_MusicToMIDI
#define global IDirectMusicPerformance_TimeToRhythm           IDirectMusicPerformance8_TimeToRhythm
#define global IDirectMusicPerformance_RhythmToTime           IDirectMusicPerformance8_RhythmToTime


#endif
