	#include "rrmod/com/IDirectMusicPerformance.as"
	#include "rrmod/com/IDirectMusicLoader.as"
	#include "rrmod/com/IDirectMusicSegment.as"

	; NXID̒`
	#define global CLSID_DirectMusicPerformance "{d2ac2881-b39b-11d1-8704-00600893b1bd}"
	#define global CLSID_DirectMusicLoader      "{d2ac2892-b39b-11d1-8704-00600893b1bd}"
	#define global CLSID_DirectMusicSegment     "{d2ac2882-b39b-11d1-8704-00600893b1bd}"

	#module "daudio"

	; ======================================================================
	;  DirectX Audio ̏iptH[}X̍쐬EA[_[쐬j
	; ======================================================================
	#deffunc DA_Init
	mref stt, 64

	; [_[̍쐬
	createobj pLoader, CLSID_DirectMusicLoader, IID_IDirectMusicLoader8
	if pLoader == 0 : stt = 1 : return

	; ptH[}X̍쐬
	createobj pPerf, CLSID_DirectMusicPerformance, IID_IDirectMusicPerformance8
	if pPerf == 0 : stt = 1 : return

	; ptH[}X̏
	; pPerf->InitAudio( NULL, NULL, NULL, DMUS_APATH_DYNAMIC_STEREO,
	;                   16, DMUS_AUDIOF_ALL, NULL );
	IDirectMusicPerformance8_InitAudio pPerf,NULL,NULL,NULL,8,16,$3F,NULL
	if dllret < 0 : stt = 1 : return

	stt = 0
	return


	; ======================================================================
	;  TEht@C̓ǂݍ݁iZOg쐬j
	; ======================================================================
	#deffunc DA_LoadFile  val, str
	mref retSegm, 16        ; ZOgC^[tF[Xi[ϐ
	mref setfilename, 33    ; t@C

	retSegm = 0
	sdim filename, 260 : filename = setfilename

	; pLoader->LoadObjectFromFile( CLSID_DirectMusicSegment,
	;       IID_IDirectMusicSegment8, &w_filename, &retSegm );
	IDirectMusicLoader8_LoadObjectFromFile pLoader,REFCLSID(CLSID_DirectMusicSegment),REFIID(IID_IDirectMusicSegment8),WSPTR(filename),PTR(retSegm)
	if dllret < 0 : stt = 1 : return

	; retSegm->Download( pPerf );
	IDirectMusicSegment8_Download retSegm, pPerf
	if dllret < 0 : stt = 1 : return

	stt = 0
	return


	; ======================================================================
	;  ZOg̉t
	; ======================================================================
	#deffunc DA_Play int, int
	mref pSegm, 0           ; ZOgC^[tF[X|C^
	mref fSecondary, 1      ; 1 ̂ƂZJ_ZOg

	; pPerf->PlaySegmentEx( pSegm, NULL, NULL, ***, (__int64)0,
	;                              NULL, NULL, NULL);
	if fSecondary : f = 128 : else : f = 0         ; DMUS_SEGF_SECONDARY or 0
	IDirectMusicPerformance8_PlaySegmentEx pPerf,pSegm,NULL,NULL,f,0,0,NULL,NULL,NULL
	if dllret < 0 : stt = 1 : return

	stt = 0
	return

	; ======================================================================
	;  ZOg̉t̒~
	; ======================================================================
	#deffunc DA_Stop
	mref pSegm, 0           ; ZOgC^[tF[X|C^

	; pPerf->StopEx(pSegm,(__int64) 0,0);
	IDirectMusicPerformance8_StopEx pPerf, pSegm, 0,0, 0
	if dllret < 0 : stt = 1 : return

	stt = 0
	return

	; ======================================================================
	;  JԂ񐔂̐ݒ
	; ======================================================================
	#deffunc DA_Repeat int, int
	mref pSegm              ; ZOgC^[tF[X|C^
	mref nRepeats, 1        ; (0 1̂, -1 ͖)

	; pSegm->SetRepeats( nRepeats );
	IDirectMusicSegment8_SetRepeats pSegm, nRepeats
	if dllret < 0 : stt = 1 : return

	stt = 0
	return

	; ======================================================================
	;  ZOg̉
	; ======================================================================
	#deffunc DA_FreeSegment int
	mref pSegm              ; ZOgC^[tF[X|C^

	; pSegm->Unload(pPerf);
	IDirectMusicSegment8_Unload pSegm, pPerf

	; pSegm->Release();
	release pSegm

	return

	; ======================================================================
	;  niptH[}XE[_[̉^IɎIɌĂяoj
	; ======================================================================
	#deffunc DA_Free  onexit

	; [_[̉
	if pLoader {
	    ; pLoader->Release();
	    release pLoader
	    pLoader = 0
	}

	; ptH[}X̉
	if pPerf {
	    ; pPerf->CloseDown();
	    IDirectMusicPerformance8_CloseDown pPerf

	    ; pPerf->Release();
	    release pPerf
	    pPerf = 0
	}

	return

	#global


    sdim buf, 260, 4
    sdim filename, 260, 4

    screen 0, 500, 360
    objsize 90
    repeat 4
        x = 20 : y = cnt*90 + 30
        pos x, y-25
        if cnt==0 {
            mes "vC}ZOg"
        } else {
            mes "ZJ_ZOg"+cnt
        }
        pos x, y     : button "open", *lb_open : btnid_o.cnt = stat
        pos x+100, y : button "play", *lb_play : btnid_p.cnt = stat
        pos x+200, y : button "stop", *lb_stop : btnid_s.cnt = stat
        pos x+300, y : chkbox "s[g", floop.cnt
        pos x, y+30  : mesbox buf.cnt, 450, 25, 2 : boxid.cnt = stat
    loop

    ; DirectX Audio ̏
    DA_Init
    if stat : dialog "DirectX Audio ̏Ɏs" : end
    stop

*lb_open
    ; ꂽ{^𔻒
    repeat 4
        if stat == btnid_o.cnt : idx = cnt : break
    loop
    ; t@CJ
    dialog "mid;*.wav", 16, "TEht@C"
    if stat == 0 : stop
    filename.idx = refstr
    if pSegment.idx {
        ; łɓǂݍ܂Ăꍇ͉
        DA_FreeSegment pSegment.idx
    }
    ; t@CǂݍŃZOg쐬
    DA_LoadFile pSegment.idx, filename.idx
    if stat : dialog "t@Cǂݍ݂Ɏs" : stop
    ; t@C\
    objprm boxid.idx, filename.idx
    stop

*lb_play
    ; ꂽ{^𔻒
    repeat 4
        if stat == btnid_p.cnt : idx = cnt : break
    loop
    if pSegment.idx {
        ; s[g񐔂̐ݒ
        if floop.idx {
            DA_Repeat pSegment.idx, -1
        } else {
            DA_Repeat pSegment.idx, 0
        }
        ; ZOg̉t
        if idx == 0 {
            DA_Play pSegment.0       ; vC}ZOgƂĉt
        } else {
            DA_Play pSegment.idx, 1  ; ZJ_ZOgƂĉt
        }
    }
    stop

*lb_stop
    ; ꂽ{^𔻒
    repeat 4
        if stat == btnid_s.cnt : idx = cnt : break
    loop
    ; ZOg̉t~
    if pSegment.idx : DA_Stop pSegment.idx
    stop

